import React from "react";
declare type ModalProps = {
    /** URL of your Netlify Instance with Identity enabled e.g. https://netlify-gotrue-in-react.netlify.com */
    netlifyInstance: string;
    /** pass a boolean to be true or false */
    showDialog: boolean;
    /** modal will call this function to set the state of showDialog to false */
    onCloseDialog: () => void;
};
export declare const IdentityContext: React.Context<{
    user: import("gotrue-js").User | undefined;
    setUser: React.Dispatch<React.SetStateAction<import("gotrue-js").User | undefined>>;
    isConfirmedUser: boolean;
    isLoggedIn: boolean;
    signupUser: (email: string, password: string, data: Object) => Promise<import("gotrue-js").User | undefined>;
    loginUser: (email: string, password: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User | undefined>;
    logoutUser: () => Promise<import("gotrue-js").User | undefined>;
    requestPasswordRecovery: (email: string) => Promise<void>;
    recoverAccount: (token: string, remember?: boolean | undefined) => Promise<import("gotrue-js").User>;
    updateUser: (fields: Object) => Promise<import("gotrue-js").User | undefined>;
    getFreshJWT: () => Promise<string>;
    authedFetch: {
        get: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        post: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        put: (endpoint: string, obj?: {} | undefined) => Promise<any>;
        delete: (endpoint: string, obj?: {} | undefined) => Promise<any>;
    };
    _goTrueInstance: import("gotrue-js").default;
    _domain: string;
} | undefined>;
export declare function IdentityModal({ showDialog, onCloseDialog, netlifyInstance }: ModalProps): JSX.Element;
export {};
